Name:           libtommath
Version:        1.2.0
Release:        4
Summary:        A portable number theoretic multiple-precision integer library.
License:        Public Domain
URL:            http://www.libtom.net/

Source0:        https://github.com/libtom/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

Patch0:         backport-CVE-2023-36328-Fix-possible-integer-overflow.patch

BuildRequires:  ghostscript libtiff-tools libtool texlive-dvips-bin ghostscript-tools-dvipdf
BuildRequires:  texlive-latex-bin-bin texlive-makeindex-bin texlive-mfware-bin TeXamator 
BuildRequires:  tex(cmr10.tfm) tex(fancyhdr.sty) tex(hyphen.tex) texlive-metafont-bin
BuildRequires:  texlive-appendix

%description
LibTomMath is a free open source portable number theoretic multiple-precision integer
library written entirely in C.  The library is designed to provide a simple to work
with API that provides fairly efficient routines that build out of the box without
configuration.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
Libraries and header files of %{name} are all in the %{name}-devel package.

%package        help
Summary:        Help manual for %{name}
Provides:       %{name}-doc = %{version}-%{release}
Obsoletes:      %{name}-doc

%description    help
The %{name}-doc package contains PDF documentation of %{name}.

%prep
%autosetup -n %{name}-%{version} -p1
# Fix permissions on installed library
sed -i -e 's/644 $(LIBNAME)/755 $(LIBNAME)/g' makefile.shared
# Fix pkgconfig path
sed -i \
    -e 's|^prefix=.*|prefix=%{_prefix}|g' \
    -e 's|^libdir=.*|libdir=%{_libdir}|g' \
    %{name}.pc.in

%build
%make_build V=1 CFLAGS="%{optflags} -I./" -f makefile.shared
make V=1 -f makefile manual docs

%install
%make_install V=1 CFLAGS="%{optflags} -I./" PREFIX=%{_prefix} LIBPATH=%{_libdir} -f makefile.shared

find %{buildroot} -name '*.la' -delete
find %{buildroot} -name '*.a' -delete

%ldconfig_scriptlets

%check
make %{?_smp_mflags} test_standalone
./test
rm -f demo/*.o

%files
%license LICENSE
%{_libdir}/*.so.*

%files devel
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files help
%doc doc/bn.pdf

%changelog
* Mon Sep 04 2023 fuanan <fuanan3@h-partners.com> - 1.2.0-4
- Fix CVE-2023-36328

* Wed Mar 29 2023 fuanan <fuanan3@h-partners.com> - 1.2.0-3
- enable check test suite

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 1.2.0-2
- DESC: delete -Sgit from %autosetup, and delete BuildRequires git
git

* Tue Jul 28 2020 yang_zhuang_zhuang <yangzhuangzhuang1@huawei.com> - 1.2.0-1
- update version to 1.2.0

* Fri Oct 18 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.0.1-5
- Package init
